
<div class="col-md-6 offset-md-3 mt-5">
    <!-- Login -->
    <div class="alert alert-info">
        Username: teste@email.com<br />
        Password: 97531482
    </div>
    <div class="card">
        <h4 class="card-header text-center">Entrar na conta</h4>
        <div class="card-body">
            <form [formGroup]="loginForm" (ngSubmit)="onSubmit()">

                <!-- Social -->
                <div class="btn-group-vertical btn-block btn-group-lg mb-1" role="group">
                    <a class="btn btn-primary" href="#"><i class="fab fa-facebook-square"></i> Entrar com Facebook</a>
                </div>
                <div class="btn-group-vertical btn-block btn-group-lg" role="group">
                    <a class="btn btn-outline-warning" href="#"><i class="fab fa-google"></i> Entrar com Google</a>
                </div>

                <hr/>

                <!-- Default -->
                <div class="form-group">
                    <div class="input-group mb-3 mt-3">
                        <div class="input-group-prepend">
                            <span class="input-group-text" id="basic-addon1"><i class="far fa-user"></i></span>
                        </div>
                        <!-- Username -->
                        <input type="text" formControlName="username" class="form-control" placeholder="username" [ngClass]="{ 'is-invalid': submitted && f.username.errors }" />
                    <div *ngIf="submitted && f.username.errors" class="invalid-feedback">
                        <div *ngIf="f.username.errors.required">Username is required</div>
                    </div>
                    </div>
                </div>

                <div class="form-group">
                    <div class="input-group mb-3 mt-3">
                        <div class="input-group-prepend">
                             <span class="input-group-text" id="basic-addon1"><i class="fas fa-lock"></i></span>
                        </div>
                        <!-- Password -->
                        <input type="password" formControlName="password" class="form-control" placeholder="password" [ngClass]="{ 'is-invalid': submitted && f.password.errors }" />
                        <div *ngIf="submitted && f.password.errors" class="invalid-feedback">
                            <div *ngIf="f.password.errors.required">Password is required</div>
                        </div>
                    </div>
                </div>

                <!-- Action Login -->
                <button [disabled]="loading" class="btn btn-lg btn-block" style="background-color: #869c20;" type="submit">
                    <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
                    Login
                </button>
                
                <div *ngIf="error" class="alert alert-danger mt-3 mb-0">{{error}}</div>
            </form>

            <!-- Not account -->
            <div class="btn-group btn-block btn-group-lg mt-5 mb-3 my-3" role="group">
                                
                <div class="mr-5 text-primary">
                    <p>Não tem uma conta?</p>
                </div>

                <div class="ml-5">
                    <a class="btn btn-lg btn-outline-danger" routerLink="/registration">Cadastre-se</a>
                </div>
            </div>

        </div>
    </div>
</div>